{% extends "base.html.twig" %}

{% block body %}
	<div class="row">
		<h3>
			Nom :
			{{ departement.Name }}
		</h3>
	</div>

	<div class="row">
		<h3>
			Capacité:
			{{departement.Capacity}}
		</h3>
	</div>

	<div class="row">
		<h3>
			Les étudiant du cette departement sont:
		</h3>
	</div>
	<div class="col">
		<table class="table table-hover">
			<thead>
				<tr>
					<th scope="col">Nom</th>
					<th scope="col">Prenom</th>
					<th scope="col">Departement</th>
					<th scope="col">Action</th>
				</tr>
			</thead>
			<tbody>
				{% for student in departement.Students %}
					<tr>

						<td>{{student.FirstName}}</td>
						<td>{{student.LastName}}</td>
						<td>
							{% if student.Departement ==null %}
								Aucun
							{% else %}
								{{student.Departement.Name}}
							{% endif %}
						</td>
						<td>
							<div>
								<a class="btn btn-success" href="{{ path('student_view', {'id': student.Id}) }}" role="button">
									Voir
								</a>
								<a class="btn btn-success" href="{{ path('student_edit', {'id': student.Id}) }}">
									Modifier
								</a>
								<a class="btn btn-success" href="{{ path('student_delete', {'id': student.Id}) }}">
									Supprimer
								</a>
							</div>
						</td>
					</tr>
				{% endfor %}
			</tbody>
		</table>
	</div>


{% endblock %}
